import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.List;
import java.awt.Color;
import java.awt.Font;

/**
 * The Ball class does the folowing:
 * 1. Give an initial values of the Time and Score 
 * 2. Return the score to the world
 * 3. Add Time and score to the world.
 * 4. Check which arrow(left, right, up , down) has been pressed. Then move the green ball to that dorection
 * 5. Intersect the Gold or the Silver Ball with the Green Ball. Then remove that Gold or the Silver Ball, and increase the score.
 * 
 * 
 * @author (Alsbouaya Ali) 
 * @version (Jan. 27, 2011)
 */
public class Ball  extends Actor
{
    private Score score;
    private int theScore = 0;
        
     private Time time;
     private int theTime = 0;
     private Tag myTag;
    /**
     * Ball is the constructor function
     */
    public Ball()
    {
        time = new Time("0");
        score = new Score("0");
        


    }

    // 
    /**
     * The getScore is a function to return the score to the world in order to use it in the world
     * @return theScore has the final score, so it goes back to the world because we need to show it when the game is over 
     */
    public int getScore()
    {
        return theScore;
    }
    
    public void addedToWorld(World world)
    {
        world.addObject(score, 500, 50);
        
        world.addObject(time, 700, 50);
     
    }
    
    /**
     * Act - do whatever the Ball wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    
    {
       
        checkKeys();
       
    }    
   
 /**
     * checkKeys is a function to check weather this green Ball has been pressed right, left, up, or down
     * Then call intersect function which do the collosion between the Green Ball and Gold Ball or 
     */
    private void checkKeys()
    {
        if(Greenfoot.isKeyDown("down"))
        {// move the Green Blall down
            setLocation(getX(), getY()+1);
        }else  if(Greenfoot.isKeyDown("up"))
        {// move the Green Ball up
            setLocation(getX(), getY()-1);
        
        }else if (Greenfoot.isKeyDown("left"))
        {// move the Green blall left
            setLocation(getX()-1, getY());
        }else if(Greenfoot.isKeyDown("right"))
        {// move the Green ball right
            setLocation(getX()+1, getY());
        }
        // call the intersect function
       intersect();
         
}
/**
 *  Check which Ball that the Green ball intersect with. Is it the Silver or Is it the Gold?
 *  If it is the Gold, the score increases 10 points.
 *  If it is the Silver, the score increases 5 points.
 *  In both caess, that Ball[ silver or Gold] will be removed, and player here sound.
 */

   private void intersect()
   {
     Actor actor = getOneIntersectingObject(null);
  
  if(actor != null)
  {
        if(Gball.class.isInstance(actor))
        {
            
            theScore += 10;
             //To change from integer to string
            score.changeScore("" + theScore);
             Greenfoot.playSound("ballSound.wav");
            // Remove the Gold ball
            getWorld().removeObject(actor);
        }
        else if(Sball.class.isInstance(actor))
        {
            theScore += 5;
            //To change from integer to string
            score.changeScore("" + theScore);
             Greenfoot.playSound("ballSound.wav");
            // Remove the Silver ball
            getWorld().removeObject(actor);
        }
  }

}

    }// End  of Ball  class
