import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
import java.awt.Font;

/**
 *  Tag2 class to show "(2)Hit Gold and Silver balls: Earn 10,5 points respectively." message on the main Screen.
 * 
 * @author (Alsbouaya Ali) 
 * @version (a version 2.0)
 */
public class Tag2  extends Actor
{

      public Tag2(String text){
      GreenfootImage img = new GreenfootImage(800,200);
      // Choose a font
        Font font = img.getFont(); 
        font = font.deriveFont(20.0f);
        // Use that font to the image
        img.setFont(font);
        // Choose color to font
        img.setColor(Color.ORANGE);
        img.drawString(text,0,20);
        setImage(img);
}
    /**
     * Act - do whatever the Tag2 wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act()
    {
        getWorld().removeObject(this);
}
}
