import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Font;
import java.awt.Color;

/**
 * The Score class is to show the score on the screen
 * 
 *@author (Alsbouaya Ali) 
 * @version Feb. 03, 2011
 */
public class Score  extends Actor
{
    public Score(String string)
    {
        GreenfootImage img = new GreenfootImage(50, 50);
        Font font = new Font("Arial Bold", Font.BOLD, 25);
        
        img.setFont(font);
        img.setColor(Color.red);
       
        img.drawString(string, 0, 20);
        
        setImage(img);
        
    
    }
    
    /**
     * Act - do whatever the Score wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        // Add your action code here.
    }    
    /**
     * changeScore is to change the score variable each time we are having a new score
     */
    public void changeScore(String string)
    {
        GreenfootImage img = getImage();
        img.clear();
        
        img.drawString(string, 0, 20);
    }
  
        
    }// End of the Score Class
  


