import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
import java.awt.Font;

/**
 *  Tag class to show "Instructions to Play: (1)Use Arrow keys to move the Green Ball" message.
 * 
 * @author (Alsbouaya Ali) 
 * @version (a version 2.0)
 */
public class Tag  extends Actor
{

    public Tag(String text){
    GreenfootImage img = new GreenfootImage(800,200);
   // Choose a font
        Font font = img.getFont(); 
        font = font.deriveFont(20.0f);
        // Use that font to the image
        img.setFont(font);
        // Choose color to font
        img.setColor(Color.ORANGE);
        img.drawString(text,0,20);
        setImage(img);
}
    /**
     * Act - do whatever the Tag wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act()
    {
        getWorld().removeObject(this);
}
}
